petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBagRegisterIntArray

add an integer value to the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterIntArray(PetscBag bag,void *addr,PetscInt msize, const char *name, const char *help)

Logically Collective on PetscBag Many br

### Input Parameter

| bag | - the bag of values Many br
| addr | - location of integer in struct Many br
| msize | - number of entries in array Many br
| name | - name of the integer array Many br
| help | - longer string with more information about the value Many br

Many br

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() Many brPetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum() Many br

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html